Include openshot.developers stable PPA contents in default Ubuntu repos

Bug #1756555 reported by Jeb E. on 2018-03-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenShot Video Editor
Undecided
Unassigned
openshot (Ubuntu)
Undecided
Unassigned
openshot-qt (Ubuntu)
Undecided
Unassigned

Bug Description

Please include the Stable 'openshot.developers' PPA contents in the default Ubuntu "universe" repositories. Openshot is the premiere (and pretty much only) solution out there for Linux GUI machines as an alternative to (defunct) Windows Movie Maker and most of the basics in Adobe Premiere Pro and Elements.
Openshot has progressed quite a bit since added to the Ubuntu repos, but the actual new "stable" versions published by the Openshot developers have not been added to these same repos.

Current version in Ubuntu (17.10) repos: 1.4.3
Latest actual stable version published in 'openshot.developers' PPA: 2.4.1

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: apt 1.5.1
ProcVersionSignature: Ubuntu 4.13.0-37.42-lowlatency 4.13.13
Uname: Linux 4.13.0-37-lowlatency x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Sat Mar 17 10:15:01 2018
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apt
UpgradeStatus: No upgrade log present (probably fresh install)

Jeb E. (jebeld17) wrote :
affects: apt → openshot (Ubuntu)
affects: apt (Ubuntu) → openshot-qt (Ubuntu)
Hans Joachim Desserud (hjd) wrote :

Thanks for taking your time to report this issue and help making Ubuntu better.

Apt is merely installing the available packages, so I've moved this issue to the openshot package itself. Most packages in Ubuntu are synced without changes from Debian, so if the package versions are lagging behind upstream, I would recommend reaching out to the Debian maintainer to coordinate and work together on new releases. Since the developers are maintaining a PPA, there should be (hopefully) only minor changes required to get official packages into the archive.

While investigating, I found that openshot has been removed from Debian (see https://tracker.debian.org/pkg/openshot and especially https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889742), and therefore in turn Ubuntu bionic. However, the bug report mentions it has been replaced by openshot-qt (https://tracker.debian.org/pkg/openshot-qt) and this seems to come from the same upstream project. (Not familiar with either package, so feel free to correct me) Openshot-qt will be available in the upcoming Ubuntu 18.04 with what seems to be a matching version to the upstream one, 2.4.1-2build2, https://launchpad.net/ubuntu/+source/openshot-qt. So it looks like this might be resolved?

tags: added: upgrade-software-version
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.